# Record Class LExportRequest

java.lang.Object
java.lang.Record
com.io7m.laurel.filemodel.LExportRequest

Record Components:
  `outputDirectory` - The output directory
  `exportImages` - `true` if images should be exported

public record LExportRequest(Path outputDirectory, boolean exportImages) extends Record
A request to export a dataset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LExportRequest(Path outputDirectory, boolean exportImages)`
  A request to export a dataset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `boolean`
  `exportImages()`
  Returns the value of the `exportImages` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Path`
  `outputDirectory()`
  Returns the value of the `outputDirectory` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LExportRequest

    public LExportRequest(Path outputDirectory, boolean exportImages)
    A request to export a dataset.
    Parameters:
      `outputDirectory` - The output directory
      `exportImages` - `true` if images should be exported

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### outputDirectory

    public Path outputDirectory()
    Returns the value of the `outputDirectory` record component.
    Returns:
      the value of the `outputDirectory` record component

  - ### exportImages

    public boolean exportImages()
    Returns the value of the `exportImages` record component.
    Returns:
      the value of the `exportImages` record component